Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel.impl
Class ServiceDocumentImpl.ServiceImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.jboss.soa.esb.listeners.config.xbeanmodel.impl.ServiceDocumentImpl.ServiceImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource, ServiceDocument.Service

Enclosing class:
  ServiceDocumentImpl

    public static class ServiceDocumentImpl.ServiceImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements ServiceDocument.Service

An XML service(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.ServiceDocument.Service
`ServiceDocument.Service.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.ServiceDocument.Service
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`ServiceDocumentImpl.ServiceImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`ActionsDocument.Actions` | `addNewActions()` Appends and returns a new empty "actions" element
`ListenersDocument.Listeners` | `addNewListeners()` Appends and returns a new empty "listeners" element
`PropertyDocument.Property` | `addNewProperty()` Appends and returns a new empty value (as xml) as the last "property" element
`ActionsDocument.Actions` | `getActions()` Gets the "actions" element
`java.lang.String` | `getCategory()` Gets the "category" attribute
`java.lang.String` | `getDescription()` Gets the "description" attribute
`InvmScope.Enum` | `getInvmScope()` Gets the "invmScope" attribute
`ListenersDocument.Listeners` | `getListeners()` Gets the "listeners" element
`java.lang.String` | `getName()` Gets the "name" attribute
`PropertyDocument.Property[]` | `getPropertyArray()` Gets array of all "property" elements
`PropertyDocument.Property` | `getPropertyArray(int i)` Gets ith "property" element
`java.util.List<PropertyDocument.Property>` | `getPropertyList()` Gets a List of "property" elements
`PropertyDocument.Property` | `insertNewProperty(int i)` Inserts and returns a new empty value (as xml) as the ith "property" element
`boolean` | `isSetActions()` True if has "actions" element
`boolean` | `isSetInvmScope()` True if has "invmScope" attribute
`boolean` | `isSetListeners()` True if has "listeners" element
`void` | `removeProperty(int i)` Removes the ith "property" element
`void` | `setActions(ActionsDocument.Actions actions)` Sets the "actions" element
`void` | `setCategory(java.lang.String category)` Sets the "category" attribute
`void` | `setDescription(java.lang.String description)` Sets the "description" attribute
`void` | `setInvmScope(InvmScope.Enum invmScope)` Sets the "invmScope" attribute
`void` | `setListeners(ListenersDocument.Listeners listeners)` Sets the "listeners" element
`void` | `setName(java.lang.String name)` Sets the "name" attribute
`void` | `setPropertyArray(int i, PropertyDocument.Property property)` Sets ith "property" element
`void` | `setPropertyArray(PropertyDocument.Property[] propertyArray)` Sets array of all "property" element
`int` | `sizeOfPropertyArray()` Returns number of "property" element
`void` | `unsetActions()` Unsets the "actions" element
`void` | `unsetInvmScope()` Unsets the "invmScope" attribute
`void` | `unsetListeners()` Unsets the "listeners" element
`org.apache.xmlbeans.XmlString` | `xgetCategory()` Gets (as xml) the "category" attribute
`org.apache.xmlbeans.XmlString` | `xgetDescription()` Gets (as xml) the "description" attribute
`InvmScope` | `xgetInvmScope()` Gets (as xml) the "invmScope" attribute
`org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" attribute
`void` | `xsetCategory(org.apache.xmlbeans.XmlString category)` Sets (as xml) the "category" attribute
`void` | `xsetDescription(org.apache.xmlbeans.XmlString description)` Sets (as xml) the "description" attribute
`void` | `xsetInvmScope(InvmScope invmScope)` Sets (as xml) the "invmScope" attribute
`void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" attribute

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### ServiceDocumentImpl.ServiceImpl

    public ServiceDocumentImpl.ServiceImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getPropertyList

    public java.util.List<PropertyDocument.Property> getPropertyList()

  Gets a List of "property" elements

  Specified by:
    `getPropertyList` in interface `ServiceDocument.Service`

### getPropertyArray

    public PropertyDocument.Property[] getPropertyArray()

  Gets array of all "property" elements

  Specified by:
    `getPropertyArray` in interface `ServiceDocument.Service`

### getPropertyArray

    public PropertyDocument.Property getPropertyArray(int i)

  Gets ith "property" element

  Specified by:
    `getPropertyArray` in interface `ServiceDocument.Service`

### sizeOfPropertyArray

    public int sizeOfPropertyArray()

  Returns number of "property" element

  Specified by:
    `sizeOfPropertyArray` in interface `ServiceDocument.Service`

### setPropertyArray

    public void setPropertyArray(PropertyDocument.Property[] propertyArray)

  Sets array of all "property" element

  Specified by:
    `setPropertyArray` in interface `ServiceDocument.Service`

### setPropertyArray

    public void setPropertyArray(int i,
                                 PropertyDocument.Property property)

  Sets ith "property" element

  Specified by:
    `setPropertyArray` in interface `ServiceDocument.Service`

### insertNewProperty

    public PropertyDocument.Property insertNewProperty(int i)

  Inserts and returns a new empty value (as xml) as the ith "property" element

  Specified by:
    `insertNewProperty` in interface `ServiceDocument.Service`

### addNewProperty

    public PropertyDocument.Property addNewProperty()

  Appends and returns a new empty value (as xml) as the last "property" element

  Specified by:
    `addNewProperty` in interface `ServiceDocument.Service`

### removeProperty

    public void removeProperty(int i)

  Removes the ith "property" element

  Specified by:
    `removeProperty` in interface `ServiceDocument.Service`

### getListeners

    public ListenersDocument.Listeners getListeners()

  Gets the "listeners" element

  Specified by:
    `getListeners` in interface `ServiceDocument.Service`

### isSetListeners

    public boolean isSetListeners()

  True if has "listeners" element

  Specified by:
    `isSetListeners` in interface `ServiceDocument.Service`

### setListeners

    public void setListeners(ListenersDocument.Listeners listeners)

  Sets the "listeners" element

  Specified by:
    `setListeners` in interface `ServiceDocument.Service`

### addNewListeners

    public ListenersDocument.Listeners addNewListeners()

  Appends and returns a new empty "listeners" element

  Specified by:
    `addNewListeners` in interface `ServiceDocument.Service`

### unsetListeners

    public void unsetListeners()

  Unsets the "listeners" element

  Specified by:
    `unsetListeners` in interface `ServiceDocument.Service`

### getActions

    public ActionsDocument.Actions getActions()

  Gets the "actions" element

  Specified by:
    `getActions` in interface `ServiceDocument.Service`

### isSetActions

    public boolean isSetActions()

  True if has "actions" element

  Specified by:
    `isSetActions` in interface `ServiceDocument.Service`

### setActions

    public void setActions(ActionsDocument.Actions actions)

  Sets the "actions" element

  Specified by:
    `setActions` in interface `ServiceDocument.Service`

### addNewActions

    public ActionsDocument.Actions addNewActions()

  Appends and returns a new empty "actions" element

  Specified by:
    `addNewActions` in interface `ServiceDocument.Service`

### unsetActions

    public void unsetActions()

  Unsets the "actions" element

  Specified by:
    `unsetActions` in interface `ServiceDocument.Service`

### getCategory

    public java.lang.String getCategory()

  Gets the "category" attribute

  Specified by:
    `getCategory` in interface `ServiceDocument.Service`

### xgetCategory

    public org.apache.xmlbeans.XmlString xgetCategory()

  Gets (as xml) the "category" attribute

  Specified by:
    `xgetCategory` in interface `ServiceDocument.Service`

### setCategory

    public void setCategory(java.lang.String category)

  Sets the "category" attribute

  Specified by:
    `setCategory` in interface `ServiceDocument.Service`

### xsetCategory

    public void xsetCategory(org.apache.xmlbeans.XmlString category)

  Sets (as xml) the "category" attribute

  Specified by:
    `xsetCategory` in interface `ServiceDocument.Service`

### getName

    public java.lang.String getName()

  Gets the "name" attribute

  Specified by:
    `getName` in interface `ServiceDocument.Service`

### xgetName

    public org.apache.xmlbeans.XmlString xgetName()

  Gets (as xml) the "name" attribute

  Specified by:
    `xgetName` in interface `ServiceDocument.Service`

### setName

    public void setName(java.lang.String name)

  Sets the "name" attribute

  Specified by:
    `setName` in interface `ServiceDocument.Service`

### xsetName

    public void xsetName(org.apache.xmlbeans.XmlString name)

  Sets (as xml) the "name" attribute

  Specified by:
    `xsetName` in interface `ServiceDocument.Service`

### getDescription

    public java.lang.String getDescription()

  Gets the "description" attribute

  Specified by:
    `getDescription` in interface `ServiceDocument.Service`

### xgetDescription

    public org.apache.xmlbeans.XmlString xgetDescription()

  Gets (as xml) the "description" attribute

  Specified by:
    `xgetDescription` in interface `ServiceDocument.Service`

### setDescription

    public void setDescription(java.lang.String description)

  Sets the "description" attribute

  Specified by:
    `setDescription` in interface `ServiceDocument.Service`

### xsetDescription

    public void xsetDescription(org.apache.xmlbeans.XmlString description)

  Sets (as xml) the "description" attribute

  Specified by:
    `xsetDescription` in interface `ServiceDocument.Service`

### getInvmScope

    public InvmScope.Enum getInvmScope()

  Gets the "invmScope" attribute

  Specified by:
    `getInvmScope` in interface `ServiceDocument.Service`

### xgetInvmScope

    public InvmScope xgetInvmScope()

  Gets (as xml) the "invmScope" attribute

  Specified by:
    `xgetInvmScope` in interface `ServiceDocument.Service`

### isSetInvmScope

    public boolean isSetInvmScope()

  True if has "invmScope" attribute

  Specified by:
    `isSetInvmScope` in interface `ServiceDocument.Service`

### setInvmScope

    public void setInvmScope(InvmScope.Enum invmScope)

  Sets the "invmScope" attribute

  Specified by:
    `setInvmScope` in interface `ServiceDocument.Service`

### xsetInvmScope

    public void xsetInvmScope(InvmScope invmScope)

  Sets (as xml) the "invmScope" attribute

  Specified by:
    `xsetInvmScope` in interface `ServiceDocument.Service`

### unsetInvmScope

    public void unsetInvmScope()

  Unsets the "invmScope" attribute

  Specified by:
    `unsetInvmScope` in interface `ServiceDocument.Service`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD